MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023992Open CASCADE[OCCT] OCCT:Testspublic2013-05-24 10:372015-05-14 15:32
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] Unscheduled 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0023992: it's required to save log information of test command in (specified) file
Description"test lh3d export nastran1" command executes "nastran1" test the log of which i can see (in console) to execute "dlog get" command.

It would be great if i can store log information into file
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot needed
Attached Filespng file icon tooltip.png (46,424 bytes) 2015-01-15 18:00

- Relationships
related to 0023971closedbugmaster Possibility to extract all error messages from test log 

-  Notes
(0024557)
abv (manager)
2013-05-30 09:29

Other improvements that would be instrumental are:

- get list of log messages treated as indication of failure (for easy identification and building todo list)

- allow giving a list and / or glob pattern in name of test group / grid / case in arguments of testgrid, for instance:

Draw[]> testgrid bugs modalg* {A1 A2}

would execute all grids starting with 'modalg' in bugs group, only test cases A1 and A2
(0024672)
abv (manager)
2013-06-06 17:06

One more point: output information on count of found test cases before tests start, in order to provide some visible feedback even if tests are heavy and it takes long time to get first results of test cases.

Something like:
Draw[]> testgrid
Running tests (total 15432 test cases found)...
(0024675)
abv (manager)
2013-06-06 17:14
edited on: 2013-06-06 17:15

One more point: in parallel execution, add possibility to randomize order of test cases before adding to queue, in order to balance load and reduce chances for the tests contention for resources (which is generally higher between tests in the same group). Naturally this randomization should be stable, i.e. the randomized order should be the same for the same set of tests (on the same platform).

(0024704)
abv (manager)
2013-06-08 18:55

Next point: for MEMORY message output at the end of the test, use meminfo -h instead of -w, as (hopefully) more precise
(0025467)
abv (manager)
2013-09-05 17:17

One more idea: add option (e.g. -beep) to issue a sound signal at the end of the test (can be as simple as "puts \7\7\7\7" or more complicated, up to using human-pronounced "Your test has completed" :-)
(0028473)
abv (manager)
2014-03-25 17:30

In the log produced by testdiff command, currently differences in images are titled by last name of the log directory. This is meaningless if logs are saved in directories with same names but different paths (as we have in Jenkins environment). It would be better to denote paths to two two compared versions as A and B, and then use "A" and "B" as titles over the images.
(0036119)
git (administrator)
2015-01-15 17:29

Branch CR23992 has been created by ski.

SHA-1: fa1c55f090f2861a15c6e6c7dde11f8bdded34c1


Detailed log of new commits:

Author: ski
Date: Thu Jan 15 17:21:22 2015 +0300

    Titles of differences in images produced by testdiff command were changed.

Author: ski
Date: Thu Jan 15 15:48:00 2015 +0300

    Used meminfo -h to control memory

Author: ski
Date: Thu Jan 15 15:34:07 2015 +0300

    Sound signal at the end of the test

Author: ski
Date: Thu Jan 15 15:01:31 2015 +0300

    Print information on count of found test cases before tests start

Author: ski
Date: Thu Jan 15 14:10:26 2015 +0300

    0023992: it's required to save log information of test command in (specified) file
    
    It is possible now to save log information of test command in specified file.
(0036124)
ski (developer)
2015-01-15 17:59

1) It is possible now to save log information in specific text(a) or html(b) file with snapshot.
    a) test bugs vis buc60574 -outfile D:/results
    b) test bugs vis buc60574 -outfile D:/results.html
Snapshot will be created with the same name as a log file (D:/results.png)
Option"-overwrite" should be used for forcibly writing log in existing file.
If "-echo" option is enabled, "-outfile" and "-overwrite" will be ignored.

2) Number of test cases is shown:
Draw[1]> testgrid checkgroup
Running tests (total 28 test cases)...

3) You can use option "-beep" to issue a sound signal at the end of the tests
Can be used with both "test" and "testgrid" commands.
It seems that number of signals could not be changed on Windows 8.

4) "meminfo -h" command is used to control memory in the end of tests

5) Title of log produced by command testdiff was changed (see attached "tooltip.png" file). Also, tooltips for snapshots titles were created.

Note that - "allow giving a list and / or glob pattern in name of test group
             / grid / case in arguments of testgrid, for instance:
             Draw[]> testgrid bugs modalg* {A1 A2}
             would execute all grids starting with 'modalg' in bugs group,
             only test cases A1 and A2"
functionality were already integrated, for example you can run tests with such command:
    testgrid bugs modalg* A\[12\]
and the result will be the same as it was described.
  
Getting list of log messages treated as indication of failure (for easy identification and building todo list) is done in branch 0023971.

Randomization of tests order is not done for the moment.

Please, review.
(0036152)
git (administrator)
2015-01-16 16:26

Branch CR23992 has been updated by ski.

SHA-1: a48bfa0e86f17ad4a5ea847d01229e30c8ae255a


Detailed log of new commits:

Author: ski
Date: Fri Jan 16 16:22:44 2015 +0300

    0023971: Possibility to extract all error messages from test log
    
    It is possible now to extract all error messages from test log using key "-errors"
    
    Conflicts:
        src/DrawResources/TestCommands.tcl

(0036153)
ski (developer)
2015-01-16 16:29

Changes from branch 0023971 were merged with this branch CR23992.

Please, review.
(0036199)
abv (manager)
2015-01-19 13:50

No remarks, please test
(0036925)
git (administrator)
2015-01-30 17:17

Branch CR23992 has been updated forcibly by apv.

SHA-1: 472a77d99cffc5cb334e79ea670505c1a0a4c23f
(0036926)
apv (tester)
2015-01-30 17:17

Branch CR23992 has been rebased on the current master
(0037013)
apv (tester)
2015-02-03 13:11

Dear BugMaster,

Branch CR23992 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 472a77d99cffc5cb334e79ea670505c1a0a4c23f

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 89807551 / 369695228
Total CPU difference: 51506.74999999993 / 49863.81000000002

Testing on Windows:
Total MEMORY difference: 42825701 / 276276616
Total CPU difference: 37331.1875 / 36894.0
(0038478)
git (administrator)
2015-03-18 13:31

Branch CR23992 has been deleted by inv.

SHA-1: 472a77d99cffc5cb334e79ea670505c1a0a4c23f

- Related Changesets
occt: master 433673e0
Timestamp: 2015-02-05 11:11:19
Author: ski
Committer: bugmaster
Details ] Diff ]
0023992: it's required to save log information of test command in (specified) file

It is possible now to save log information of test command in specified file.

Print information on count of found test cases before tests start

Sound signal at the end of the test

Used meminfo -h to control memory

Titles of differences in images produced by testdiff command were changed.
mod - src/DrawResources/TestCommands.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-05-24 10:37 ibs New Issue
2013-05-24 10:37 ibs Assigned To => ibs
2013-05-30 09:29 abv Note Added: 0024557
2013-06-06 17:06 abv Note Added: 0024672
2013-06-06 17:14 abv Note Added: 0024675
2013-06-06 17:15 abv Note Edited: 0024675 View Revisions
2013-06-08 18:55 abv Note Added: 0024704
2013-06-08 18:56 abv Assigned To ibs => abv
2013-06-08 18:56 abv Status new => assigned
2013-06-08 18:56 abv Target Version 6.6.0 => 6.7.0
2013-09-05 17:13 abv Relationship added related to 0023971
2013-09-05 17:17 abv Note Added: 0025467
2013-12-21 10:13 abv Target Version 6.7.0 => 6.7.1
2014-03-25 17:30 abv Note Added: 0028473
2014-04-04 18:09 abv Target Version 6.7.1 => 6.8.0
2014-09-11 09:26 abv Target Version 6.8.0 => 7.1.0
2015-01-12 18:32 abv Assigned To abv => ski
2015-01-15 17:29 git Note Added: 0036119
2015-01-15 17:59 ski Note Added: 0036124
2015-01-15 17:59 ski Assigned To ski => abv
2015-01-15 17:59 ski Status assigned => resolved
2015-01-15 17:59 ski Steps to Reproduce Updated View Revisions
2015-01-15 18:00 ski File Added: tooltip.png
2015-01-16 16:26 git Note Added: 0036152
2015-01-16 16:29 ski Note Added: 0036153
2015-01-19 13:50 abv Note Added: 0036199
2015-01-19 13:50 abv Assigned To abv => bugmaster
2015-01-19 13:50 abv Status resolved => reviewed
2015-01-30 14:44 mkv Assigned To bugmaster => apv
2015-01-30 17:17 git Note Added: 0036925
2015-01-30 17:17 apv Note Added: 0036926
2015-02-03 13:09 apv Test case number => Not needed
2015-02-03 13:11 apv Note Added: 0037013
2015-02-03 13:11 apv Assigned To apv => bugmaster
2015-02-03 13:11 apv Status reviewed => tested
2015-02-06 15:38 bugmaster Changeset attached => occt master 433673e0
2015-02-06 15:38 bugmaster Status tested => verified
2015-02-06 15:38 bugmaster Resolution open => fixed
2015-02-09 11:05 bugmaster Target Version 7.1.0 => 6.9.0
2015-03-18 13:31 git Note Added: 0038478
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker